

#include "BUILTIN.h"

#include "Char.h"

#include "Nat.h"

#include "Denotation.h"

#include "Int.h"

#include "CharConv.h"

#define __ACharConv_AzeroOrd_L6 __ACharConv_6
extern OBJ __ACharConv_AzeroOrd_L6;
extern OBJ _ACharConv_Sq(OBJ);OBJ __ACharConv_Sq; /* ` */
extern OBJ _ACharConv_AasNat(OBJ);OBJ __ACharConv_AasNat; /* asNat */
extern OBJ _ACharConv_AasDigitNat(OBJ);OBJ __ACharConv_AasDigitNat; /* asDigitNat */
extern OBJ _ACharConv_Aord(OBJ);OBJ __ACharConv_Aord; /* ord */
OBJ __ACharConv_AzeroOrd; /* zeroOrd */
OBJ __ACharConv_AzeroOrd_L6; /* zeroOrd'6 */

#include "CharConv.hc.c"

extern OBJ _ACharConv_Sq(OBJ x1) /* ` */
{OBJ r;
 ADenotation_1(__ANat_8,x1,r);
 return r;}

extern OBJ _ACharConv_AasDigitNat(OBJ x1) /* asDigitNat */
{OBJ r;
 {OBJ x2;
  AChar_25(x1,x2);
  if(ISTGPRM(x2,1)){
   {OBJ x3;
    ACharConv_AasNat(x1,x3);
    ANat_62(x3,__ACharConv_AzeroOrd,r);}
  }else{
   HLT("asDigitNat\'CharConv: argument is non-digit");}}
 return r;}

extern OBJ _ACharConv_Aord(OBJ x1) /* ord */
{OBJ r;
 ACharConv_AasNat(x1,r);
 return r;}

static void ___ACharConv_5()
{
 /* __ACharConv_AzeroOrd */
 CPPRD(__ACharConv_AzeroOrd_L6,1);
 {OBJ x1;
  AChar_32(__ACharConv_AzeroOrd_L6,x1);
  ACharConv_AasNat(x1,__ACharConv_AzeroOrd);}}

init_ACharConv()
{
 static int visited=0; if(visited) return; visited=1;
 init_AChar();
 init_ANat();
 init_ADenotation();
 init_AInt();
 DEN("0",__ACharConv_6);
 CLS(1,_ACharConv_4,__ACharConv_4);
 CLS(1,_ACharConv_3,__ACharConv_3);
 CLS(1,_ACharConv_2,__ACharConv_2);
 CLS(1,_ACharConv_1,__ACharConv_1);
 init_const_ACharConv();
 ___ACharConv_5();}

